package com.hxhq.business.form.sj;

import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.annotation.Excel;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 试剂修改库存
 * @author 15881
 */
public class SjXgkcForm {

    /** 试剂id */
    @NotNull(message = "请选择操作试剂")
    private Long id;

    /** 库存 */
    @NotEmpty(message = "库存量不能为空")
    @Length(max = 50, message = "请输入正确的库存量")
    private String kc;;

    /** 库存单位 */
    @NotEmpty(message = "库存单位不能为空")
    @Length(max = 50, message = "请选择正确的库存单位")
    private String kcdw;

    /** 库存编辑备注 */
    @Length(max = 500, message = "备注不能超过500字")
    private String kcbjbz;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    private String qmrmm;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public String getKcbjbz() {
        return kcbjbz;
    }

    public void setKcbjbz(String kcbjbz) {
        this.kcbjbz = kcbjbz;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
